const div = document.getElementById('millionPixelPub')
const image = document.createElement('img')
const map = document.createElement('map')
image.setAttribute('src' , "{{ absolute_url( path('banner-img', {'banner' : banner.id}))|raw }}")
image.setAttribute('usemap' , "#mappedImage")
map.setAttribute('name' , "mappedImage" )

{% for pixel in banner.pixelPubs%}
    {%if pixel.coords is not empty%}
        area = document.createElement('area')
        area.setAttribute('shape' , "rect")
        area.setAttribute('title' , "{{pixel.title}}")
        area.setAttribute('alt' , "{{pixel.title}}")
        area.setAttribute('href' , "{{pixel.link}}")
        area.setAttribute('coords' , "{{pixel.coords[0]}},{{pixel.coords[1]}},{{pixel.coords[0] + pixel.height}},{{pixel.coords[1] + pixel.width}}")
        map.appendChild(area)
    {%endif%}
{%endfor%}

div.appendChild(map)
div.appendChild(image)
